Alessandro Del Sole's Blog

{ A programming space about Microsoft® .NET® }
posts - 1908, comments - 2047, trackbacks - 352

My Links

News

Your host

This is me! Questo spazio è dedicato a Microsoft® .NET®, di cui sono molto appassionato :-)

Cookie e Privacy

Disabilita cookie ShinyStat

Microsoft MVP

My MVP Profile

Microsoft Certified Professional

Microsoft Specialist

Xamarin Certified Mobile Developer

Il mio libro su VB 2015!

Pre-ordina il mio libro su VB 2015 Pre-ordina il mio libro "Visual Basic 2015 Unleashed". Clicca sulla copertina per informazioni!

Il mio libro su WPF 4.5.1!

Clicca sulla copertina per informazioni! E' uscito il mio libro "Programmare con WPF 4.5.1". Clicca sulla copertina per informazioni!

These postings are provided 'AS IS' for entertainment purposes only with absolutely no warranty expressed or implied and confer no rights.
If you're not an Italian user, please visit my English blog

Le vostre visite

I'm a VB!

Guarda la mia intervista a Seattle

Follow me on Twitter!

Altri spazi

GitHub
I miei progetti open-source su GitHub

Article Categories

Archives

Post Categories

Image Galleries

Privacy Policy

VB 2008 Express: selezionare la versione di .NET Framework

Più volte si è detto che una nuova funzionalità di Visual Studio 2008 consente, direttamente dalla finestra per la creazione di un nuovo progetto, di selezionare la versione di .NET Framework per la quale l'applicazione viene progettata (2.0, 3.0 o 3.5).

Questa opzione, purtroppo, non è prevista nelle edizioni Express, che prevedono, come target, la sola versione 3.5. Un possibile work-around, in Visual Basic 2008, è quello di ricorrere alla modifica delle opzioni del compilatore.

Dopo aver creato un nuovo progetto, aprite la finestra My Project e selezionate la scheda Compile. Quindi, fate clic sul pulsante Advanced Compiler Options. Come potete osservare dalla seguente figura, è possibile selezionare la versione del Framework dalla casella Target Framework:

Ovviamente, fate attenzione agli assembly referenziati e agli oggetti utilizzati nella vostra applicazione, ricordando di verificare a quale versione del Framework appartengono, prima di modificare la versione target. Tra l'altro ho notato che, anche in applicazioni Windows Presentation Foundation, nella casella combinata viene elencata la versione 2.0. Nel caso di applicazioni WPF, ricordate di non specificare mai questa versione, ma almeno la 3.0.

Alessandro

Print | posted on giovedì 6 dicembre 2007 20:22 | Filed Under [ Visual Studio Express Editions ]

Powered by:
Powered By Subtext Powered By ASP.NET